# $Revision: 1.138 $, $Date: 2008-04-17 20:14:53 $
#
# Conditional build:
%bcond_without	python		# don't build python binding
%bcond_without	static_libs	# don't build static library
%bcond_with	tests		# run test suite
#
%define		libxml2ver	1:2.6.30

Summary:	XSLT processor
Summary(pl.UTF-8):	Procesor XSLT
Summary(pt_BR.UTF-8):	Biblioteca que disponibiliza o sistema XSLT do GNOME
Name:		libxslt
Version:	1.1.23
Release:	1
License:	MIT
Group:		Libraries
#Source0:	http://ftp.gnome.org/pub/GNOME/sources/libxslt/1.1/%{name}-%{version}.tar.bz2
Source0:	ftp://xmlsoft.org/libxml2/%{name}-%{version}.tar.gz
# Source0-md5:	0650b23650b70ad7ce2447ee16f445a3
URL:		http://xmlsoft.org/XSLT/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libxml2-devel >= %{libxml2ver}
BuildRequires:	perl-base
%if %{with python}
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-libxml2 >= %{libxml2ver}
%endif
BuildRequires:	rpm-pythonprov
Requires:	libgcrypt >= 1.1.42
Requires:	libxml2 >= %{libxml2ver}
Obsoletes:	libxslt1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for XSLT processing.

%description -l pl.UTF-8
Biblioteka do przetwarzania XSLT.

%description -l pt_BR.UTF-8
Esta biblioteca C permite a transformação de arquivos XML em outros
arquivos XML (ou HTML, texto, ...) usando o mecanismo padrão de
transformação dos estilos XSLT. O comando xsltproc é uma interface em
linha de comandos para o mecanismo XSLT.

%package devel
Summary:	Header files for libxslt
Summary(pl.UTF-8):	Pliki nagłówkowe libxslt
Summary(pt_BR.UTF-8):	Bibliotecas, includes, etc. para incluir o mecanismo XSLT do GNOME
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgcrypt-devel >= 1.1.42
Requires:	libxml2-devel >= %{libxml2ver}
Obsoletes:	libxslt1-devel

%description devel
Header files for libxslt - XSLT processor.

%description devel -l pl.UTF-8
Pliki nagłówkowe procesora XSLT.

%description devel -l pt_BR.UTF-8
Esta biblioteca C permite a transformação de arquivos XML em outros
arquivos XML (ou HTML, texto, ...) usando o mecanismo padrão de
transformação dos estilos XSLT.

%package static
Summary:	Static libraries of libxslt
Summary(pl.UTF-8):	Biblioteki statyczne libxslt
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para incluir o mecanismo XSLT do GNOME
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries of libxslt - XSLT processor.

%description static -l pl.UTF-8
Statyczne biblioteki procesora XSLT.

%description static -l pt_BR.UTF-8
Esta biblioteca C permite a transformação de arquivos XML em outros
arquivos XML (ou HTML, texto, ...) usando o mecanismo padrão de
transformação dos estilos XSLT. Estas são as bibliotecas em sua versão
estática.

%package progs
Summary:	XSLT processor
Summary(pl.UTF-8):	Procesor XSLT
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libxslt-proc

%description progs
XSLT processor.

%description progs -l pl.UTF-8
Procesor XSLT.

%package -n python-%{name}
Summary:	Python support for libxslt
Summary(pl.UTF-8):	Moduły języka Python dla biblioteki libxslt
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-libxml2 => %{libxml2ver}
%pyrequires_eq	python-modules
Obsoletes:	libxslt-python

%description -n python-%{name}
Python support for libxslt.

%description -n python-%{name} -l pl.UTF-8
Moduły języka Python dla biblioteki libxslt.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-plugins \
	%{!?with_static_libs:--disable-static} \
	%{!?with_python:--without-python}
%{__make}

%{?with_tests:%{__make} -C tests test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python}
# move examples to proper dir
install -d $RPM_BUILD_ROOT%{_examplesdir}/python-%{name}-%{version}
mv $RPM_BUILD_ROOT%{_docdir}/%{name}-python-%{version}/examples/* \
  $RPM_BUILD_ROOT%{_examplesdir}/python-%{name}-%{version}
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-python-%{version}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{py,la,a}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog Copyright FEATURES NEWS README TODO
%attr(755,root,root) %{_libdir}/libexslt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexslt.so.0
%attr(755,root,root) %{_libdir}/libxslt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxslt.so.1
%dir %{_libdir}/libxslt-plugins

%files devel
%defattr(644,root,root,755)
%doc doc/{*.{gif,html},html}
%attr(755,root,root) %{_bindir}/xslt-config
%attr(755,root,root) %{_libdir}/libexslt.so
%attr(755,root,root) %{_libdir}/libxslt.so
%{_libdir}/libexslt.la
%{_libdir}/libxslt.la
%attr(755,root,root) %{_libdir}/xsltConf.sh
%{_includedir}/libexslt
%{_includedir}/libxslt
%{_mandir}/man3/libexslt.3*
%{_mandir}/man3/libxslt.3*
%{_pkgconfigdir}/libexslt.pc
%{_pkgconfigdir}/libxslt.pc
%{_aclocaldir}/libxslt.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libexslt.a
%{_libdir}/libxslt.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xsltproc
%{_mandir}/man1/xsltproc.1*

%if %{with python}
%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/libxsltmod.so
%{py_sitedir}/libxslt.py[co]
%{_examplesdir}/python-%{name}-%{version}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxslt.spec,v $
Revision 1.138  2008-04-17 20:14:53  qboosh
- verbose files

Revision 1.137  2008-04-17 11:44:02  patrys
- 1.1.23
- package ghost liblinks

Revision 1.136  2008-01-24 17:49:32  glen
- force plugins, just in case

Revision 1.135  2007-09-03 18:55:22  qboosh
- updated to 1.1.22

Revision 1.134  2007/06/17 19:45:54  qboosh
- updated to 1.1.21

Revision 1.133  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.132  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.131  2007/01/19 14:01:24  qboosh
- updated to 1.1.20

Revision 1.130  2006/12/29 15:23:05  qboosh
- added python bcond

Revision 1.129  2006/12/02 09:52:59  qboosh
- updated to 1.1.19 (some bug fixes, but still crashes on libxcb)

Revision 1.128  2006/11/25 13:31:07  arekm
- rel 2

Revision 1.127  2006/11/20 13:21:50  qboosh
- BR: rpm-pythonprov (also for python-modules, i.e. distutils dependency)

Revision 1.126  2006/10/27 14:31:33  grzegol
- updated to 1.1.18
- removed outdated DESTDIR patch (applied upstream)

Revision 1.125  2006/09/26 22:59:44  wrobell
- rel. 4 to rebuild with python 2.5 (final)

Revision 1.124  2006/08/27 12:35:28  havner
- rebuild with 2.5
- rel 3

Revision 1.123  2006/07/02 09:06:04  arekm
- rel 2

Revision 1.122  2006/06/06 16:59:17  freetz
- runs some tests (bcond)

Revision 1.121  2006/06/06 15:43:46  freetz
- 1.1.17

Revision 1.120  2006/06/06 15:35:35  qboosh
- added libxslt-plugins dir to package

Revision 1.119  2006/06/06 15:33:17  freetz
- 1.1.16, switched to ftp.gnome.org, added DESTDIR patch

Revision 1.118  2005/09/05 12:51:57  paladine
- updated to 1.1.15

Revision 1.117  2005/06/22 14:23:28  witekfl
- added bcond_without static_libs

Revision 1.116  2005/04/02 14:18:08  freetz
- 1.1.14, libxml2 requirement bumped to 2.6.19

Revision 1.115  2005/03/29 15:10:29  ciesiel
- added BR: python

Revision 1.114  2005/03/29 14:37:58  djurban
- working snapshots 050329

Revision 1.113  2005/03/15 10:22:09  paladine
- updated to 1.1.13

Revision 1.112  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.111  2004/12/25 15:06:53  saq
- release 2 for rebuild with python 2.4

Revision 1.110  2004/10/31 18:59:42  qboosh
- -devel R: libgcrypt-devel (because of libexslt)

Revision 1.109  2004/10/30 21:36:20  qboosh
- updated to 1.1.12 (bugfixes)

Revision 1.108  2004/09/29 23:52:12  grzegol
- updated to 1.1.11

Revision 1.107  2004/08/31 23:25:40  grzegol
- updated to 1.1.10

Revision 1.106  2004/08/22 23:52:21  grzegol
- updated to 1.1.9

Revision 1.105  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.104  2004/07/05 21:05:56  grzegol
- updated to 1.1.8

Revision 1.103  2004/06/20 14:30:33  qboosh
- switched to xmlsoft.org, updated to 1.1.7

Revision 1.102  2004/04/19 21:17:27  qboosh
- back to .bz2 source, it works again

Revision 1.101  2004/04/19 07:29:55  aflinta
- up to version 1.1.6

Revision 1.100  2004/04/01 12:42:12  qboosh
- -devel R: libxml2-devel, python- R: main

Revision 1.99  2004/03/28 12:55:54  grzegol
- updated to 1.1.5
- temporary changed Source0 to xmlsoft.org due to problems with ftp.gnome.org

Revision 1.98  2004/02/23 21:29:17  grzegol
- updated to 1.1.4

Revision 1.97  2004/02/17 14:36:05  grzegol
- updated to 1.1.3
- removed outdated am18 patch
- added BR: perl-base
- strict internal requires

Revision 1.96  2003/12/26 20:09:45  qboosh
- updated to 1.1.2
- added am18 patch (libxslt.m4 quotation fix)
- rm unpackaged files for clean build

Revision 1.95  2003/12/11 13:26:58  grzegol
- updated to 1.1.1

Revision 1.94  2003/11/05 08:00:58  trojan
- updated to 1.1.0
- removed outdated patch

Revision 1.93  2003/09/12 20:46:44  grzegol
- updated to 1.0.33

Revision 1.92  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.91  2003/08/18 08:08:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.90  2003/08/10 10:19:31  grzegol
- updated to 1.0.32

Revision 1.89  2003/07/22 11:56:51  wrobell
- rel. 3 to build with python 2.3 /nest/

Revision 1.88  2003/07/10 12:47:13  qboosh
- removed %%doc from examples - all files in %%{_examplesdir} are docs implicitly

Revision 1.87  2003/07/07 20:13:36  grzegol
- added examples
- rel. 2

Revision 1.86  2003/07/07 07:41:57  aflinta
- version 1.0.31

Revision 1.85  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.84  2003/05/25 05:50:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.83  2003/05/07 20:39:03  qboosh
- more base docs, moved API docs to -devel
- release 2

Revision 1.82  2003/05/04 19:32:09  aflinta
- version 1.0.30

Revision 1.81  2003/04/01 12:55:34  aflinta
- updated to version 1.0.29

Revision 1.80  2003/03/24 23:20:22  aflinta
- corrected source

Revision 1.79  2003/03/24 23:12:26  aflinta
- updated to version 1.0.28

Revision 1.78  2003/02/25 16:49:17  wrobell
- ver. 1.0.27

Revision 1.77  2003/02/11 09:17:12  trojan
- updated to 1.0.26

Revision 1.76  2003/02/06 08:53:18  trojan
- updated to 1.0.25

Revision 1.75  2003/01/14 17:23:45  aflinta
- updated to version 1.0.24

Revision 1.74  2002/12/03 19:38:32  qboosh
- fixed typo and -devel descriptions

Revision 1.73  2002/12/02 22:08:30  ankry
- pl Summary/description fixes
- adapterized

Revision 1.72  2002/11/25 14:17:11  ankry
- massive attack: no need for 755 for *.la

Revision 1.71  2002/11/23 12:17:14  wrobell
- relax python subpackage install requirements for libxml2

Revision 1.70  2002/11/20 15:25:35  aflinta
- corected %files

Revision 1.69  2002/11/20 13:53:17  aflinta
- added missing dirs

Revision 1.68  2002/11/20 06:45:03  wrobell
- ver. 1.0.23

Revision 1.67  2002/10/18 15:07:03  wrobell
- ver. 1.0.22

Revision 1.66  2002/10/15 21:23:28  kloczek
- release 2,
- fix: change minimal required libxml2 version to 2.4.24.

Revision 1.65  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.64  2002/09/30 10:10:55  kura
- changed libxml2ver to 2.4.25

Revision 1.63  2002/09/30 01:16:32  kloczek
- updated to 1.0.21: bug fixes.

Revision 1.62  2002/08/28 07:37:41  qboosh
- updated python-libxslt requirement; release 2

Revision 1.61  2002/08/24 15:45:56  kloczek
- added DESTDIR patch.

Revision 1.60  2002/08/24 10:07:02  kloczek
- updated to 1.0.20: bugfixes.

Revision 1.59  2002/07/31 07:28:44  wrobell
- requires libxml2 2.4.23
- rel. 2, stb

Revision 1.58  2002/07/09 21:43:04  kloczek
- updated to 1.0.19 (bug fix release).

Revision 1.57  2002/07/03 13:15:19  wrobell
- fixed python subpackage requirements
- rel. 2, stb

Revision 1.56  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.55  2002/05/28 13:52:13  wrobell
- ver. 1.0.18 /bugfix release/
- stb

Revision 1.54  2002/05/26 00:16:01  kloczek
- cosmetics.

Revision 1.53  2002/05/25 23:50:22  wrobell
- added missing manuals
- new %%doc
- rel. 2, stb

Revision 1.52  2002/05/21 23:14:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/05/01 12:27:46  kloczek
- add some Obsoletes for allow upgrade from MDK version.

Revision 1.50  2002/04/30 13:15:41  michuz
- pkgconfig support

Revision 1.49  2002/04/30 09:47:10  wrobell
- ver. 1.0.17, stb

Revision 1.48  2002/04/17 09:12:42  wrobell
- ver. 1.0.16 /bugfix release/
- stb

Revision 1.47  2002/04/11 13:59:04  wrobell
- rel. 2, stb

Revision 1.46  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.45  2002/03/26 10:40:29  wrobell
- ver. 1.0.15 /bugfix release/
- stb

Revision 1.44  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.43  2002/03/19 17:15:36  wrobell
- ver. 1.0.14
- stb

Revision 1.42  2002/03/18 07:07:12  wrobell
- python subpackage group changed to Libraries/Python
- rel. 2
- stb

Revision 1.41  2002/03/08 21:48:34  wrobell
- ver. 1.0.13
- stb

Revision 1.40  2002/03/07 13:27:43  wrobell
- ver. 1.0.12 - bugfix release

Revision 1.39  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/02/18 21:13:38  gotar
- %desc

Revision 1.37  2002/02/09 17:03:13  wrobell
- fixed build requirements

Revision 1.36  2002/02/09 15:26:54  wrobell
- more s/lver/libxml2ver/g

Revision 1.35  2002/02/09 15:22:44  kloczek
- be more verbose s/lver/libxml2ver/.

Revision 1.34  2002/02/09 15:16:34  wrobell
- fixed install and build requirements

Revision 1.33  2002/02/09 15:06:54  wrobell
- fixed devel subpackage file list

Revision 1.32  2002/02/09 15:05:04  wrobell
- ver. 1.0.11 /bugfix release/
- python subpackage added
- stb

Revision 1.31  2002/01/18 02:13:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2002/01/17 00:13:26  kloczek
- updated to 1.0.10 (bugfix release).

Revision 1.29  2001/12/15 23:45:43  kloczek
- remove no_debuger obsoleted patch.

Revision 1.28  2001/12/15 22:39:31  kloczek
- updated to 1.0.9 (bug fix release).

Revision 1.27  2001/11/26 22:47:34  kloczek
- updated to 1.0.8.

Revision 1.26  2001/11/14 21:25:09  kloczek
- added no_debuger patch with remove libxslt debug suit building because this
  isn't automake 1.5 compliant and not neccessary in producition package.

Revision 1.25  2001/11/14 15:17:58  kloczek
- updated to 1.0.7,
- merge translations from CNV.

Revision 1.24  2001/10/30 19:12:42  wrobell
- ver. 1.0.6
- stb.

Revision 1.23  2001/10/11 00:15:25  kloczek
- updated to 1.0.5.

Revision 1.22  2001/10/03 16:41:14  filon
- added requirement for main pkg in devel and for devel in static
- release 2

Revision 1.20  2001/09/21 09:50:12  wrobell
- ver. 1.0.4

Revision 1.19  2001/09/10 00:34:44  kloczek
- release 2,
- spec adapterized,
- added "rm -f missing" on top %build (for proper regenerate am files).

Revision 1.18  2001/09/09 22:14:44  klakier
- desc updated

Revision 1.17  2001/08/24 03:48:17  kloczek
- change Requires for libxml2 and BuildRequires for libxml2-devel to
  2.4.3.

Revision 1.16  2001/08/24 03:45:30  kloczek
- updated to 1.0.3.

Revision 1.15  2001/08/15 16:26:54  kloczek
- updated to 1.0.2.

Revision 1.14  2001/07/26 03:32:44  kloczek
- BuildRequires:  libxml2-devel >= 2.4.1

Revision 1.13  2001/07/25 20:29:27  wrobell
- move xsltproc binary to progs subpackage
- up to ver. 1.0.1
- stb

Revision 1.12  2001/07/13 08:00:46  kloczek
- reorder in %build (aclocal before autocnf).

Revision 1.11  2001/07/12 15:32:05  kloczek
- regenerate also am/lt files.

Revision 1.10  2001/07/12 13:39:51  kloczek
- regenerate ac files and added using %%configure macro (spec is ac 2.50 ready).

Revision 1.9  2001/07/12 12:28:35  wrobell
- up to 1.0.0
- stb

Revision 1.8  2001/07/06 15:31:16  kloczek
- updated to 0.14.0.

Revision 1.7  2001/06/27 09:23:04  kloczek
- updated to 0.13.0.

Revision 1.6  2001/06/17 16:56:42  kloczek
- updated to 0.12.0,
- (Build)Requires: libxml2(-devel) >= 2.3.11,
- new Source url.

Revision 1.5  2001/06/13 20:44:19  kloczek
- bump Requires for libxml2 and BuildRequires for libxml2-devel to 2.3.10.

Revision 1.4  2001/06/02 17:36:56  kloczek
- updated to 0.11.0.

Revision 1.3  2001/05/20 10:55:38  kloczek
- updated to 0.10.0.

Revision 1.2  2001/05/04 00:19:45  wrobell
- ver. 0.9.0

Revision 1.1  2001/04/28 01:05:24  wrobell
- library for XSLT processing
- written from template
